//-----------------------------------------------------------------------------
// C`
//-----------------------------------------------------------------------------

// O[oϐ
float4 colLine = { 1.0f, 1.0f, 1.0f, 1.0f };



struct Line_VS_IN {
	float4 pos : POSITION;
};

struct Line_VS_OUT {
	float4 pos   : POSITION;
	float4 color : COLOR0;
};



// _VF[_
Line_VS_OUT Line_VS( Line_VS_IN In )
{
	Line_VS_OUT Out;
	Out.pos			= mul( In.pos, matWVP );
	Out.color		= colLine;
	return Out;
}



// sNZVF[_
float4 Line_PS( Line_VS_OUT In ) : COLOR0
{
	return In.color;
}



// eNjbN
technique Line
{
	pass P0
	{
		VertexShader = compile vs_2_0 Line_VS();
		PixelShader = compile ps_2_0 Line_PS();
	}
}


